<?php
/**
 * @copyright   Copyright (C) 2005 - 2017 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JLoader::import('components.com_fields.libraries.fieldsplugin', JPATH_ADMINISTRATOR);

class PlgFieldsTime extends FieldsPlugin
{
	/**
	 * Transforms the field into a DOM XML element and appends it as a child on the given parent.
	 *
	 * @param   stdClass    $field   The field.
	 * @param   DOMElement  $parent  The field node parent.
	 * @param   JForm       $form    The form.
	 *
	 * @return  DOMElement
	 *
	 * @since   3.7.0
	 */
	public function onCustomFieldsPrepareDom($field, DOMElement $parent, JForm $form)
	{
		$fieldNode = parent::onCustomFieldsPrepareDom($field, $parent, $form);

		if (!$fieldNode)
		{
			return $fieldNode;
		}
		$params=$field->fieldparams->get('usedefault',1)?$this->params:$field->fieldparams;
		$options = array(
			'format'=>$params->get('format',1)?true:false,
			'meridiem'=>$params->get('meridiem',1)?($params->get('format',1)?true:false):false,
			'arrowColor'=>$params->get('arrowColor','#000000')
		);

		$min = JFactory::getConfig()->get('debug',false)?'':'.min';
		$doc = JFactory::getDocument();
		$doc->addScript(JURI::root(true).'/media/plg_fields_time/js/time'.$min.'.js');
		$doc->addStyleSheet(JURI::root(true).'/media/plg_fields_time/css/time'.$min.'.css');
		$doc->addScriptOptions('plg_fields_time'.$field->id,$options);
		$doc->addScriptDeclaration('document.addEventListener("DOMContentLoaded",function(){window.plg_fields_time'.$field->id.' = new timepicker(document.getElementById("jform_com_fields_'.str_replace('-','_',$field->name).'"), Joomla.getOptions("plg_fields_time'.$field->id.'"));},false);');
		$fieldNode->setAttribute('type', 'text');
		
		return $fieldNode;
	}
}

